# packet.cc File Reference

## Detailed Description

Low level protocol packet builder class.

Has knowledge of specific protocol commands in order to hide protocol details behind an API.

Definition in file packet.cc.

`#include "packet.h"`
`#include "m_desktop.h"`
`#include "protocol.h"`
`#include "protostructs.h"`
`#include "data.h"`
`#include "endian.h"`
`#include "parser.h"`
`#include "builder.h"`
`#include "error.h"`
`#include <string.h>`
`#include "debug.h"`

Include dependency graph for packet.cc:

Go to the source code of this file.

## Namespaces

namespace | Barry